--- old/usr/src/lib/libidmap/Makefile.com	Sat Jun 20 08:15:42 2015
+++ new/usr/src/lib/libidmap/Makefile.com	Sat Jun 20 08:15:42 2015
@@ -19,6 +19,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2015 Gary Mills
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
 #
@@ -56,7 +57,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
 
-CLOBBERFILES +=	idmap_xdr.c
+CLEANFILES +=	idmap_xdr.c
 
 lint := OBJECTS = $(LINT_OBJECTS)
 
@@ -64,8 +65,10 @@
 
 all: $(LIBS)
 
+# Replace absolute include path with a relative path
 idmap_xdr.c:	$(IDMAP_PROT_X)
-	$(RM) $@; $(RPCGEN) -CMNc -o $@ $(IDMAP_PROT_X)
+	$(RPCGEN) -CMNc $(IDMAP_PROT_X) | \
+	$(SED) '/^#include.*idmap_prot.h/s|"[^"]*"|<rpcsvc/idmap_prot.h>|' > $@
 
 lint: lintcheck
 
